backport tightvnc 1.3.9 from Intrepid - 8.04 (Hardy) has very old 1.2.9

Bug #281847 reported by Mantas Kriaučiūnas on 2008-10-11
4
Affects Status Importance Assigned to Milestone
Hardy Backports
Undecided
Unassigned
Baltix
Undecided
Unassigned

Bug Description

Please backport tightvnc 1.3.9 (released on May 8, 2007) from Intrepid - 8.04 (Hardy) has very old 1.2.9 version, released on end of 2003 :(

Here is debian/changelog since current Hardy's version (1.2.9-22):

tightvnc (1.3.9-4) unstable; urgency=low

  * Updated man path in build system.
    Xvnc/config/cf/svr3.cf
    Xvnc/config/cf/Imake.tmpl
  * Merged some code from 1.2.9 version in order to build properly on IA64.
    Closes: #483094. This changes some other minors things and also help build
    on Mipsel and hppa architecture.

 -- Ola Lundqvist <email address hidden> Wed, 4 Jun 2008 08:17:28 +0200

tightvnc (1.3.9-3) unstable; urgency=low

  * Applied patch from Thiemo Seufer <email address hidden> to make it build
    fine on mips and mipsel architecture, closes: #481444.

 -- Ola Lundqvist <email address hidden> Sat, 17 May 2008 17:36:05 +0200

tightvnc (1.3.9-2) unstable; urgency=low

  * Now ships Vncviewer resources file, closes: #481274. Thanks to Ian
    Wienand <email address hidden> for the patch.

 -- Ola Lundqvist <email address hidden> Thu, 15 May 2008 20:55:20 +0200

tightvnc (1.3.9-1) unstable; urgency=low

  * New upstream release.
    Closes: #424077, #434240.
    This new release corrects a number of known problems:
     - tightvncconnect no longer make Xtightvnc crash (closes: #422361)
     - Control|Shift + Click is now sent properly (closes: #173701)
     - No input starvation (closes: #218401)
     - No errors when connecting from WinXP (closes: #281702)
     - Default path correction (closes: #365593)
     - The problematic DEBUG statement no longer exists (closes: #374273)
     - No longer use raw encoding for ssh tunnels (closes: #423091)
  * Updated vncserver script to allow .vnc directory as symlink.
    Closes: #411187.
  * Corrected link to broken homepage, closes: #345368.
  * Now uses /etc/X11/Xsession as default x init script, closes: #378573.
  * Applied patch from Paul Brook <email address hidden> to make it build on
    arm architecture, closes: #464797.
  * Applied patch from Cyril Brulebois <email address hidden> to
    make it build on GNU/kFreeBSD, closes: #415611.
  * Dropped pre-depends on dpkg.

 -- Ola Lundqvist <email address hidden> Sun, 23 Mar 2008 00:36:15 +0100

Evan Broder (broder) wrote :

It looks like this bug requests a backport from Ubuntu 8.10 (Intrepid
Ibex). However, as Intrepid is no longer supported, such a backport is
no longer possible.

This bug is being set to "Won't Fix". If you would still like to move
forward with this backport request, please re-open the bug and adjust
it to request a backport from a current release.

(This change is being made by an automated bot run by Evan Broder, who
is now subscribed to the bug; if you think the change was made in
error, please feel free to re-open the bug)

Changed in hardy-backports:
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers